%global momorel 2

Summary: French man pages from the Linux Documentation Project
Name: man-pages-fr
Version: 2.39.1
Release: %{momorel}m%{?dist}
License: GPL
Group: Documentation
URL: http://manpagesfr.free.fr/
Source0: http://manpagesfr.free.fr/download/%{name}-%{version}.tar.bz2
Source1: http://www.delafond.org/traducmanfr/mansupfr.tar.bz2
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

%description
Manual pages from the Linux Documentation Project, translated into French.
Also includes supplemental pages provided by Dr. Patrick Atlas and Dr. Gerard
Delafond.


%prep
%setup -q -D -a 1 -n %{name}-%{version}
##%setup -q -D -a 2
##%patch1 -p1 -b .aumix_missTH
# pick up the supplemental pages, which overwrite a few files too
cp -a pagesdeman/usr/share/man/fr/* .
mv -f pagesdeman/LISEZ_MOI LISEZ_MOI-mansupfr
rm -rf pagesdeman

%build

%install
rm -fr %{buildroot}
# Create all the directories to be sure this package owns them
for n in 1 2 3 4 5 6 7 8 9 ; do
  mkdir -p %{buildroot}%{_mandir}/fr/man${n}
done

# gawk haven't coding, but it's in latin1
for i in man?/*; do
	CODING=`file -i ${i} | cut -d"=" -f2`;
		if [[ "${CODING}" == "utf-8" ||  "${CODING}" == "us-ascii" || "${CODING}" == "iso-8859-1" ]]
		then
			if [ "${CODING}" != "UTF-8" ]
			then
				iconv -f ${CODING} -t UTF-8 < ${i} > ${i}.new
				install -m 0644 ${i}.new %{buildroot}%{_mandir}/fr/${i}
				rm -rf ${i}.new
			else
				install -m 0644 ${i} %{buildroot}%{_mandir}/fr/${i}
			fi
		else
			iconv -f LATIN1 -t UTF-8 < ${i} > ${i}.new
			install -m 0644 ${i}.new %{buildroot}%{_mandir}/fr/${i}
			rm -rf ${i}.new
		fi
done

##make install-install DESTDIR=%{buildroot}

# Remove files already included in other packages
# alsa-utils
rm -f %{buildroot}%{_mandir}/fr/man8/alsaconf.8
# cups
rm -f %{buildroot}%{_mandir}/fr/man1/{backend,cancel,filter,lp,lpoptions,lppasswd,lpq,lpr,lprm,lpstat,rnano}.1
rm -f %{buildroot}%{_mandir}/fr/man3/cups-config.3
rm -f %{buildroot}%{_mandir}/fr/man5/{classes.conf,cupsd.conf,mime.convs,mime.types,printers.conf}.5
rm -f %{buildroot}%{_mandir}/fr/man8/{accept,cups-lpd,cups-polld,cupsaddsmb,cupsd,enable,lpadmin,lpc,lpinfo,lpmove,reject}.8
#enemies-of-carlotta
rm -f %{buildroot}%{_mandir}/fr/man1/enemies-of-carlotta.1
# fcron
rm -f %{buildroot}%{_mandir}/fr/man1/{fcrondyn,fcrontab}.1
rm -f %{buildroot}%{_mandir}/fr/man5/{fcron.conf,fcrontab}.5
rm -f %{buildroot}%{_mandir}/fr/man8/fcron.8
# gputils
rm -f %{buildroot}%{_mandir}/fr/man1/{gpasm,gpdasm,gplib,gplink,gpstrip,gputils,gpvc,gpvo}.1
# latex2rtf
rm -f %{buildroot}%{_mandir}/fr/man1/latex2rtf.1
# man
rm -f %{buildroot}%{_mandir}/fr/man1/{apropos,man,man2html,whatis}.1
rm -f %{buildroot}%{_mandir}/fr/man5/man.config.5
#nano
rm -f %{buildroot}%{_mandir}/fr/man1/nano.1
rm -f %{buildroot}%{_mandir}/fr/man5/nanorc.5
# net-tools
rm -f %{buildroot}%{_mandir}/fr/man1/{dnsdomainname,domainname,hostname}.1
rm -f %{buildroot}%{_mandir}/fr/man5/ethers.5
rm -f %{buildroot}%{_mandir}/fr/man8/{arp,ifconfig,plipconfig,route,slattach}.8
# shadow-utils
rm -f %{buildroot}%{_mandir}/fr/man1/{chage,gpasswd,newgrp,sg}.1
rm -f %{buildroot}%{_mandir}/fr/man3/{getspnam,shadow}.3
rm -f %{buildroot}%{_mandir}/fr/man5/{faillog,shadow}.5
rm -f %{buildroot}%{_mandir}/fr/man8/{adduser,chpasswd,faillog,groupadd,groupdel,groupmod,grpck,lastlog,newusers,pwck,pwconv,useradd,userdel,usermod}.8
# vim
rm -f %{buildroot}%{_mandir}/fr/man1/{rview,view,vim,vimdiff,vimtutor}.1
#xawtv
rm -f %{buildroot}%{_mandir}/fr/man1/xawtv.1

LANG=fr ./cree_index_man.sh %{buildroot}%{_mandir}/fr/

%clean
rm -fr %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc changements changements.anciens LISEZ_MOI LISEZ_MOI-mansupfr
%{_mandir}/fr/*/*

%changelog
* Fri Jun 15 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.39.1-2m)
- release %%{_mandir}/fr/*, it's already provided by man

* Fri Jun 15 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.39.1-1m)
- sync FC7
- update to 2.39.1

* Fri Jun 15 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.8-6m)
- modify %%install to avoid conflicting with man

* Mon Apr  5 2004 Toru Hoshina <t@momonga-linux.org>
- (0.9.8-5m)
- avoid conflict with cups.

* Wed Nov 12 2003 zunda <zunda at freeshell.org>
- (0.9.8-4m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- the second section of LISEZ_MOI specifies the pages are under GPL

* Tue Jun 17 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.8-3m)
- remove conflicts

* Mon Jun 16 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.9.8-2m)
- stop NoSource(original file is corrupted)

* Sat Apr 12 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.8-1m)
- update to 0.9.8

* Sat Jan 18 2003 TAKAHASHI Tamotsu
- (0.9.7-1m)

* Mon Nov 12 2001 Shingo Akagaki <dora@kondara.org>
- mada nigirisugi

* Thu Nov  8 2001 Shingo Akagaki <dora@kondara.org>
- nigirisugi

* Mon Aug 13 2001 Trond Eivind Glomsr?<teg@redhat.com> 0.9-5
- Rebuild. This should fix #51685

* Thu Aug  2 2001 Trond Eivind Glomsr?<teg@redhat.com>
- Own %%{_mandir}/fr
- s/Copyright/License/

* Sun Apr  8 2001 Trond Eivind Glomsr?<teg@redhat.com>
- Remove dnsdomainname.1 and hostname.1, they're now part of net-tools

* Tue Apr  3 2001 Trond Eivind Glomsr?<teg@redhat.com>
- fixes to the roff sources

* Tue Dec 19 2000 Trond Eivind Glomsr?<teg@redhat.com>
- 0.9

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 20 2000 Jeff Johnson <jbj@redhat.com>
- rebuild to compress man pages.

* Mon Jun 19 2000 Matt Wilson <msw@redhat.com>
- defattr root

* Sun Jun 12 2000 Trond Eivind Glomsr?<teg@redhat.com>
- use %%{_mandir} and %%{_tmppath}

* Mon May 15 2000 Trond Eivind Glomsr?<teg@redhat.com>
- first build
